import { ChangeEvent, KeyboardEvent } from 'react';
import { SelectComponentProps } from '../../molecules/Select/Select';
import { SelectOption } from '../../molecules/Select/Select.types';
import { SelectOptionRequired } from '../../molecules/Select/Select.types';
declare const useSelect: <T extends SelectOptionRequired>(props: SelectComponentProps<T>) => {
    handleOnAddItem: () => void;
    handleOnItemSelect: (item: SelectOption<T>) => void;
    handleOnItemKeyDown: (event: KeyboardEvent<HTMLButtonElement>) => void;
    handleOnSearchKeyDown: (event: KeyboardEvent<HTMLInputElement>) => void;
    handleOnClear: () => void;
    handleOnSearchChange: (event: ChangeEvent<HTMLInputElement>) => void;
    handleToggleOpen: () => void;
    handleOnClose: () => void;
    handleOnOpen: () => void;
    handleOnRemoveItem: (item: SelectOption<T>) => void;
    search: string;
    searchRef: import("react").RefObject<HTMLInputElement | null>;
    itemRefs: import("react").RefObject<(HTMLButtonElement | null)[]>;
    selectedValues: T[];
    open: boolean;
    tryingToRemoveItem: T | undefined;
};
export { useSelect };
