import { animation } from './animation';
import { colors } from './colors';
import { spacings } from './spacings';
declare const shape: {
    _modes: {
        compact: {
            rounded: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            button: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            toggle: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            corners: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            icon_button: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            straight: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            toggle_rounded_border: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            toggle_straight_border: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
            circle: {
                minHeight: string;
                minWidth: string;
                borderRadius: string;
            };
        };
    };
    toggle_straight_border: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    toggle_rounded_border: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    circle: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    rounded: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    button: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    toggle: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    corners: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    icon_button: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    field: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    straight: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
    caret: {
        minHeight: string;
        minWidth: string;
        borderRadius: string;
    };
}, elevation: {
    raised: string;
    none: string;
    overlay: string;
    sticky: string;
    temporary_nav: string;
    above_scrim: string;
}, typography: {
    heading: {
        h1_bold: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        h1: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        h2: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        h3: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        h4: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        h5: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        h6: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
    };
    navigation: {
        menu_title: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        menu_tabs: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        label: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        drawer_active: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        drawer_inactive: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        button: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        breadcrumb: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        breadcrumb_hover: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textDecoration: string;
            textAlign: string;
        };
        menu_title_hover: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
    };
    input: {
        label: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        text: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        text_monospaced: {
            fontFeature: string;
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
        helper: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textAlign: string;
        };
    };
    paragraph: {
        body_short_italic: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            fontStyle: string;
            textAlign: string;
        };
        caption: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        meta: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_short: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_short_bold_italic: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            fontStyle: string;
            textAlign: string;
        };
        body_short_bold: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_short_link: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textDecoration: string;
            textAlign: string;
        };
        overline: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
            textAlign: string;
        };
        ingress: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_long: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_long_link: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textDecoration: string;
            textAlign: string;
        };
        body_long_italic: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            fontStyle: string;
            textAlign: string;
        };
        body_long_bold: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        body_long_bold_italic: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            fontStyle: string;
            textAlign: string;
        };
    };
    table: {
        cell_header: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        cell_text: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        cell_text_bold: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        cell_text_link: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textDecoration: string;
            textAlign: string;
        };
        cell_numeric_monospaced: {
            fontFeature: string;
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
    };
    _modes: {
        compact: {
            table: {
                cell_header: {
                    color: string;
                    fontFamily: string;
                    fontSize: string;
                    fontWeight: number;
                    lineHeight: string;
                    textAlign: string;
                };
                cell_text: {
                    color: string;
                    fontFamily: string;
                    fontSize: string;
                    fontWeight: number;
                    lineHeight: string;
                    textAlign: string;
                };
                cell_text_bold: {
                    color: string;
                    fontFamily: string;
                    fontSize: string;
                    fontWeight: number;
                    lineHeight: string;
                    textAlign: string;
                };
                cell_text_link: {
                    color: string;
                    fontFamily: string;
                    fontSize: string;
                    fontWeight: number;
                    lineHeight: string;
                    textDecoration: string;
                    textAlign: string;
                };
                cell_numeric_monospaced: {
                    fontFeature: string;
                    color: string;
                    fontFamily: string;
                    fontSize: string;
                    fontWeight: number;
                    lineHeight: string;
                    textAlign: string;
                };
            };
        };
    };
    ui: {
        tooltip: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        snackbar: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        accordion_header: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        chip__badge: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
        chart: {
            color: string;
            fontFamily: string;
            fontSize: string;
            fontWeight: number;
            lineHeight: string;
            textAlign: string;
        };
    };
};
export { spacings, colors, animation, shape, elevation, typography };
