type FormatDateOptions = {
    format: 'DD. month YYYY' | 'DD. month';
    month?: 'short' | 'long';
} | {
    format: 'DD.MM.YYYY' | 'YYYY-MM-DD' | 'DD.MM.YY';
};
/**
 * @param date - The date obj / date string to format
 * @param options - Default is { format: 'DD. month YYYY', month: 'long' }
 */
export declare const formatDate: (date: Date | string | null | undefined, options?: FormatDateOptions & {
    useUTC?: boolean;
}) => string;
export declare const formatDateTime: (date: Date | string | null | undefined, options?: {
    month?: "short" | "long";
    hideYear?: boolean;
    isGMT?: boolean;
}) => string;
export declare const formatRelativeDateTime: (date: Date | string | null | undefined, isGMT?: boolean) => string;
export declare const isBetweenDates: (date: Date | string | null | undefined, dates: [Date, Date]) => boolean;
export {};
