import { FC } from 'react';
import { FileProgressProps } from './FileProgress.types';
export interface FileProgressPropsExtension {
    showCompleteState: boolean;
    handleOnClick: () => void;
    isDeleting: boolean;
}
/**
 * @param onDelete - call back when clicking delete
 * @param file - file to show progress for (FileWithPath or File)
 * @param onCancel - call back when clicking cancel
 * @param isError - if the file upload has an error
 * @param isDone - if the file upload is done
 * @param progressPercent - the percentage of the file that has been uploaded
 * @param indeterminate - if the file upload progress is indeterminate
 * @param compact - if the file progress should use compact mode
 * @param fullErrorText - the full error text to show when hovering over the error icon
 * @param customLoadingText - custom loading text to show
 * @param customCompleteText - custom complete text to show
 * @param onRetry - call back when clicking retry on a failed upload
 * @param shortErrorText - short error text to show (in compact mode)
 */
export declare const FileProgress: FC<FileProgressProps>;
