import{Button as t,Menu as e,Typography as r}from"@equinor/eds-core-react";export{Button}from"@equinor/eds-core-react";import{animation as a}from"../../atoms/style/animation.js";import{VARIANT_HELPER_TEXT_COLORS as i,VARIANT_COLORS as o,colors as n}from"../../atoms/style/colors.js";import{spacings as s}from"../../atoms/style/spacings.js";import{Chip as l}from"../Chip/Chip.js";import d,{css as c}from"styled-components";const p=d.div`
  display: flex;
  flex-direction: column;
  gap: ${s.small};
`,g=d.span`
  display: flex;
  gap: ${s.small};
  align-items: center;
  margin-left: ${s.small};
  width: calc(100% - ${s.small});
  > label {
    margin: 0;
  }
  ${({$variant:t})=>t?c`
      > label {
        color: ${i[t]};
      }
      > svg {
        flex-shrink: 0;
        fill: ${o[t]};
      }
    `:""}
`,b=d.div`
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 6px 8px;
  transition:
    background ${a.transitionMS},
    box-shadow ${a.transitionMS};
  &:hover:not(:has(input:disabled)) {
    cursor: pointer;
    background: ${n.ui.background__light_medium.rgba};
  }

  ${({$variant:t})=>t?"dirty"===t?c`
        box-shadow: inset 0 -2px 0 0 ${o[t]};
        &:hover {
          box-shadow: inset 0 -2px 0 0 ${o[t]};
        }
      `:c`
      outline: 1px solid ${o[t]};
      &:hover {
        box-shadow: inset 0 -1px 0 0 ${o[t]};
      }
    `:c`
        box-shadow: inset 0 -1px 0 0 ${n.text.static_icons__tertiary.rgba};
        &:hover {
          box-shadow: inset 0 -2px 0 0
            ${n.text.static_icons__tertiary.rgba};
        }
      `}

  ${({$lightBackground:t})=>t?`background-color: ${n.ui.background__default.rgba}`:`background-color: ${n.ui.background__light.rgba}`};

  &[aria-expanded='true'] {
    box-shadow: inset 0 -2px 0 0 ${n.interactive.primary__resting.rgba};
  }
  &:has(input:disabled) {
    outline: none;
    box-shadow: none;
  }

  > svg[role='progressbar'] {
    overflow: unset;
  }
  > svg:not([role='progressbar']) {
    cursor: pointer;
    &:hover {
      background: ${n.interactive.primary__hover_alt.rgba};
      border-radius: 50%;
    }
  }

  &:has(input:disabled) {
    cursor: not-allowed;
    box-shadow: none;
    > svg:not([role='progressbar']) {
      cursor: not-allowed;
      fill: ${n.interactive.disabled__text.rgba};
      &:hover {
        background: transparent;
      }
    }
    > label {
      color: ${n.interactive.disabled__text.rgba};
    }
  }

  &:has(button#clear) {
    > section {
      width: calc(100% - 24px);
    }
  }
`,h=d.section`
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: ${s.x_small};
  min-height: 24px;
  input[type='search'] {
    background: transparent;
    width: 0;
    flex-grow: 1;
    padding: 0;
    font-family: 'Equinor', sans-serif;
    color: ${n.text.static_icons__default.rgba};
    outline: none;
    border: none;
  }
  input[type='search']:disabled {
    cursor: not-allowed;
  }
  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    appearance: none;
  }
  &:has(input:disabled) {
    > p {
      color: ${n.interactive.disabled__text.rgba};
    }
    > .amplify-combo-box-chip {
      cursor: not-allowed;
      background: ${n.interactive.disabled__fill.rgba};
      color: ${n.interactive.disabled__text.rgba};
      > svg {
        fill: ${n.interactive.disabled__text.rgba};
        &:hover {
          cursor: not-allowed;
          background: none;
        }
      }
    }
  }
`,u=d(t)`
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  right: 32px;
  width: 24px;
  height: 24px;
  svg {
    fill: ${n.text.static_icons__secondary.rgba};
  }
  &:after {
    width: 24px;
    height: 24px;
    left: 0;
  }
`,m=d(l)`
  background: ${({$tryingToRemove:t,$lightBackground:e})=>t?n.interactive.primary__hover_alt.rgba:e?n.ui.background__light.rgba:n.ui.background__default.rgba} !important;
`,x=d(e.Item)`
  flex-grow: 1;
  ${({$paddedLeft:t})=>t&&"margin-left: 36px"};
  padding-left: 10px;
  
  > div {
    grid-auto-columns: auto;
    justify-content: flex-start;
  }

  &:hover {
    background: ${n.interactive.primary__hover_alt.rgba};
  }

  &:focus-visible {
    outline: 2px dashed ${n.interactive.primary__resting.rgba};
  }

    ${({$selected:t})=>t?c`
            background: ${n.interactive.primary__selected_highlight.rgba};

            &:hover {
              background: ${n.interactive.primary__selected_hover.rgba};
            }
          `:""}}
`,_=d.hr`
  height: calc(100% + ${s.medium} * 2);
  justify-self: center;
  width: ${s.x_large};
`,$=d(r)`
  user-select: none;
  pointer-events: none;
  position: absolute;
  color: ${n.text.static_icons__tertiary.rgba};
  top: calc(50%);
  transform: translate(0, -50%);
`,f=d($)`
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: ${n.text.static_icons__default.rgba};
  max-width: 100%;
`,v=d(r)`
  margin: ${s.medium};
`,w=d(r)`
  margin-left: ${s.medium};
`,y=d(e)`
  max-height: 20rem;
  max-width: inherit;
  overflow-y: auto;
  > div {
    width: inherit;
    max-width: inherit;
  }
`,k=d.div`
  display: flex;
  align-items: center;
`,j=d(t)`
  width: 36px;
  height: 36px;
`;export{u as ClearButton,m as ComboBoxChip,b as Container,g as HelperWrapper,_ as MenuItemSpacer,k as MenuItemWrapper,w as NoItemsFoundText,v as NoTagFoundText,$ as PlaceholderText,h as Section,j as SmallButton,y as StyledMenu,x as StyledMenuItem,f as ValueText,p as Wrapper};
