import { HTMLAttributes, Ref } from 'react';
import { Tabs as TabsType } from './Tabs.types';
export type TabsProps<T> = TabsType<T> & {
    ref?: Ref<HTMLDivElement>;
} & Omit<HTMLAttributes<HTMLDivElement>, 'onChange'>;
/**
 * @param selected - The selected value of the option
 * @param options - Array of available options, must be 2 or more
 * @param centered - If text in each tab is centered, defaults to true
 * @param animated - If switching tab is animated, defaults to true
 * @param scrollable - If tab should be scrollable, defaults to true. Only shows scroll buttons if the tabs don't fit
 * @param amountPerScrollPage - How many tabs should be on each scroll page. When undefined the component fits tabs by tab content
 * @param onChange - Callback when tab is selected
 * @param ref - Container ref
 */
export declare function Tabs<T>({ options, selected, centered, animated, scrollable, amountPerScrollPage, onChange, ref, ...rest }: TabsProps<T>): import("react/jsx-runtime").JSX.Element;
